This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 772442 - [RFE] [Admin Portal] - Add a Console button in Hosts -->VMs tab.
[RFE] [Admin Portal] - Add a Console button in Hosts -->VMs tab.
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ---
: 3.2
Assigned To: Ondra Machacek
Ondra Machacek
virt
: EasyFix, Improvement, Reopened
Depends On:
Blocks: 891280
  Show dependency treegraph
 
Reported: 2012-01-08 04:03 EST by zvi
Modified: 2013-02-15 01:46 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 891280 (view as bug list)
Environment:
Last Closed: 2013-02-15 01:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Console button location (10.24 KB, image/jpeg)
2012-01-08 04:04 EST, zvi
no flags Details
VM view 1 (24.01 KB, image/png)
2012-12-17 11:24 EST, Libor Spevak
no flags Details
VM view 2 (13.66 KB, image/png)
2012-12-17 11:25 EST, Libor Spevak
no flags Details
VM view 3 (28.54 KB, image/png)
2012-12-18 10:02 EST, Libor Spevak
no flags Details
viewHostVmSubtab (30.36 KB, image/png)
2013-01-31 11:28 EST, Ondra Machacek
no flags Details

  None (edit)
Description zvi 2012-01-08 04:03:27 EST
Description of problem:

Sometimes it is needed to open the VM's console from HOSTs View (to check status, etc) and it will be much better if an option to open VNC/SPICE will be available within the HOST's VMs view.
See the location of the proposed button (red box) in the attachment.
Comment 1 zvi 2012-01-08 04:04:24 EST
Created attachment 551404 [details]
Console button location
Comment 4 Itamar Heim 2012-12-17 02:41:03 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 5 Yaniv Kaul 2012-12-17 02:48:22 EST
I need this on a daily basis.
Comment 6 Libor Spevak 2012-12-17 11:24:37 EST
Created attachment 664976 [details]
VM view 1
Comment 7 Libor Spevak 2012-12-17 11:25:20 EST
Created attachment 664977 [details]
VM view 2
Comment 8 Libor Spevak 2012-12-17 11:35:33 EST
Tested in FF.

I added 2 images - 664976 (selected HOST + subview VM), 664977 (selected VM only).

The first view contains text only buttons: Suspend, Shutdown, Migrate

The second contains image buttons.

So, this is a little bit different then proposed new design.

Should it be somehow unified? e.g. both panels should contain buttons of the same type? Better buttons with image icon?
Comment 9 Libor Spevak 2012-12-18 10:02:20 EST
Created attachment 665552 [details]
VM view 3
Comment 10 Libor Spevak 2012-12-18 10:14:11 EST
I propose the change as in attachment 665552 [details], but it is GUI change.

Must be confirmed by product manager.

I would also propose separators between groups of buttons, but this will be possible after other changes merge.
Comment 11 Einav Cohen 2012-12-19 14:32:17 EST
(In reply to comment #10)
> I propose the change as in attachment 665552 [details], but it is GUI change.

ack

> 
> Must be confirmed by product manager.
> 
> I would also propose separators between groups of buttons, but this will be
> possible after other changes merge.

there is already a WIP on this issue (http://gerrit.ovirt.org/#/c/6102/), we can indeed look into it separately.
Comment 12 Libor Spevak 2012-12-21 10:04:23 EST
Posted:
http://gerrit.ovirt.org/#/c/10303/
Comment 13 Libor Spevak 2013-01-02 05:08:32 EST
Merged to master.
Comment 14 Michal Skrivanek 2013-01-03 09:16:05 EST
merged u/s as 0a94591d66b22cfbe448054ddee685c93606fe4b
Comment 15 Itamar Heim 2013-01-16 11:09:37 EST
3.2 beta built, moving to ON_QA status to allow testing
Comment 16 Jiri Belka 2013-01-25 11:58:51 EST
OK, sf4.
Comment 17 Jiri Belka 2013-01-25 12:12:18 EST
Forget my previous note, I'm not working with oVirt, so putting back to ON_QA.
Comment 18 Ondra Machacek 2013-01-31 11:28:13 EST
Created attachment 691075 [details]
viewHostVmSubtab

Verified.

Note You need to log in before you can comment on or make changes to this bug.